---
title: ALL
layout: main
---

# ALL - A Loadbalancing Library

### About the Library

**ALL** is a library to provide several loadbalancing schemes usable within domain decomposition based
simulation codes, e.g. particle-based simulations or grid-based solvers for hydrodynamics.

The library is developed by the Simulation Laboratory Molecular Systems of the Juelich
Supercomputing Centre (JSC), Research Centre Juelich (Forschungszentrum Jülich GmbH) in
Germany.

The main focus is to offer a selection of load-balancing solutions that can be
included into existing codes in order to improve the scaling behavior, especially on
large-scale process configurations.

The library is available for free <a href="https://gitlab.version.fz-juelich.de/SLMS/loadbalancing/-/releases" target="_blank">here</a>. If
you use it in your research or in your production code, please cite our website: [**Bibtex**](/websites/all-website/files/bibtex/libALL.bib).

### Documentation ###

You can find the documentation of the library here: [Documentation](/websites/all-website/sphinx), which provides an overview about how to build
the library and how to include it into your own code. Also you can find the documentation of the provided functions and a description
of our example codes provided with the library. The internal documentation intended for developers of the library itself can be found [here](/websites/all-website/doxygen).

### Videos ###

In the [Videos](/websites/all-website/videos) section you find some videos showcasing different methods provided by the library. 
